package com.cariad.cea.aircondition.fragments

import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.cariad.cea.aircondition.databinding.FragmentAirConditionBinding

/**
 * @author xiao
 *  空调设置的Fragment界面
 */
class AirConditionFragment : Fragment() {
    private val airConditionBinding by lazy { FragmentAirConditionBinding.inflate(layoutInflater) }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
    }

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
//        initView()
        return airConditionBinding.root
    }

    companion object {
        @JvmStatic
        fun newInstance() =
            AirConditionFragment().apply {
//                arguments = Bundle().apply {
//                    putString(ARG_PARAM1, param1)
//                    putString(ARG_PARAM2, param2)
//                }
            }
    }
}